# Generated by go2rpm 1
%bcond_without check

# https://github.com/uber/athenadriver
%global goipath         github.com/uber/athenadriver
Version:                1.1.12

%gometa

%global common_description %{expand:
A fully-featured AWS Athena database driver.}

%global golicenses      LICENSE
%global godocs          examples ChangeLog.txt README.md

Name:           %{goname}
Release:        13%{?dist}
Summary:        A fully-featured AWS Athena database driver

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/aws/aws-lambda-go/events)
BuildRequires:  golang(github.com/aws/aws-lambda-go/lambda)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/awserr)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/credentials)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/session)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/athena)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/athena/athenaiface)
BuildRequires:  golang(github.com/cactus/go-statsd-client/statsd)
BuildRequires:  golang(github.com/DATA-DOG/go-sqlmock)
BuildRequires:  golang(github.com/jedib0t/go-pretty/table)
BuildRequires:  golang(github.com/uber-go/tally)
BuildRequires:  golang(github.com/uber-go/tally/statsd)
BuildRequires:  golang(github.com/xwb1989/sqlparser)
BuildRequires:  golang(go.uber.org/config)
BuildRequires:  golang(go.uber.org/fx)
BuildRequires:  golang(go.uber.org/zap)
BuildRequires:  golang(go.uber.org/zap/zapcore)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/request)
BuildRequires:  golang(github.com/stretchr/testify/assert)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%build
for cmd in athenareader; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc examples ChangeLog.txt README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 1.1.12-13
- Rebuild for golang 1.22.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.12-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.12-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.12-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.12-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> - 1.1.12-8
- Rebuild to fix FTBFS

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.12-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 1.1.12-6
- Rebuild for CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in
  golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.1.12-5
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327, CVE-2022-27191,
  CVE-2022-29526, CVE-2022-30629

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 22 15:05:41 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.1.12-1
- Update to 1.1.12

* Thu Aug 06 14:33:54 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.1.11-1
- Initial package
